CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler > Class Template Reference

Dependent target manager. More...

`#include <csplugincommon/rendermanager/dependenttarget.h>`

List of all members.

## Classes
struct | TargetSettings
| The settings for a handle. More...
## Public Member Functions
| DependentTargetManager (TargetHandler &targetHandler)
| Construct.
template<typename LayerConfigType >
void | EnqueueTargets (RenderTree &renderTree, iShaderManager *shaderManager, const LayerConfigType &layerConfig, csSet< typename RenderTree::ContextNode * > &contextsTested)
| Scan the given render tree for known targets and set up rendering of the associated view to any found target.
void | FinishRendering ()
| Cleanup after rendering to targets is finished.
void | GetNextTarget (TargetSettings &settings)
| Get the next target to be rendered.
bool | HaveMoreTargets () const
| Whether more targets need to be rendered.
void | StartRendering (iShaderManager *shaderManager)
| Prepare enqueuing of render targets, must be called before EnqueueTargets().

## Detailed Description

### template<typename RenderTree, typename TargetHandler>
class CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >

Dependent target manager.

It manages a mapping between texture handles and views. If a mesh is found to use a texture handle, a new context is set up to render associated view to that handle.

The template parameter RenderTree gives the render tree type. The parameter TargetHandler gives a class used to set up the contexts for the rendering of a view mapped to a target. It must provide a method HandleTarget (RenderTree& renderTree, const DependentTargetManager::TargetSettings& settings) which should create a new context given the values in settings.

Definition at line 55 of file dependenttarget.h.

## Constructor & Destructor Documentation

template<typename RenderTree , typename TargetHandler >

CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::DependentTargetManager | ( | TargetHandler & | targetHandler | ) | `[inline]`

Construct.

Definition at line 74 of file dependenttarget.h.

## Member Function Documentation

template<typename RenderTree , typename TargetHandler >
template<typename LayerConfigType >

void CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::EnqueueTargets | ( | RenderTree & | renderTree,
|  | iShaderManager * | shaderManager,
|  | const LayerConfigType & | layerConfig,
|  | csSet< typename RenderTree::ContextNode * > & | contextsTested
| ) |  | `[inline]`

Scan the given render tree for known targets and set up rendering of the associated view to any found target.

Definition at line 184 of file dependenttarget.h.

template<typename RenderTree , typename TargetHandler >

void CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::FinishRendering | ( |  | ) | `[inline]`

Cleanup after rendering to targets is finished.

Definition at line 235 of file dependenttarget.h.

template<typename RenderTree , typename TargetHandler >

void CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::GetNextTarget | ( | TargetSettings & | settings | ) | `[inline]`

Get the next target to be rendered.

Definition at line 227 of file dependenttarget.h.

template<typename RenderTree , typename TargetHandler >

bool CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::HaveMoreTargets | ( |  | ) | const`[inline]`

Whether more targets need to be rendered.

Definition at line 219 of file dependenttarget.h.

template<typename RenderTree , typename TargetHandler >

void CS::RenderManager::DependentTargetManager< RenderTree, TargetHandler >::StartRendering | ( | iShaderManager * | shaderManager | ) | `[inline]`

Prepare enqueuing of render targets, must be called before EnqueueTargets().

Definition at line 149 of file dependenttarget.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/dependenttarget.h